Subject: Re: bug#38967: 27.0.60; Incorrect 'from' header when gnus-summary-mail-forward called from nnir group

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 19 Jul 2020 16:43:56 +0200

Pankaj Jangid <[email-masked]> writes:

> Steps:
> 1. Do nnir search on an IMAP group to create a temp nnir group
>    C-u G G <RET> search-term <RET> subject <RET>
> 2. Process mark a few articles using '#' key
> 3. gnus-summary-attach-article (S A) selects from address that is specified in
>    the configuration variable user-mail-address 
>
> The desired behaviour is to pick the address specified for the group
> on which the NNIR search is invoked. I have tried
> gnus-summary-mail-forward (C-c C-f). And the behaviour is
> correct there. From address is picked from the current group.

I don't use nnir myself, so I can't really test.  Can you determine what
it is that gnus-summary-mail-forward does that `S A' doesn't do?  I had
a look at the code of the former, and I couldn't really see where it
would peek through to the original group to find settings from that
group...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no